Bug 125883 - mptscsih badblocks and "attempt to access beyond end of device"
mptscsih badblocks and "attempt to access beyond end of device"
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-06-13 02:49 EDT by Joe Cooper
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-29 16:29:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joe Cooper 2004-06-13 02:49:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
This kernel, as well as the 2115, and the 2.4.20 kernel from Red Hat 9
errata, exhibit this error in dmesg when running badblocks:

Jun 12 01:59:53 localhost kernel: attempt to access beyond end of device
Jun 12 01:59:53 localhost kernel: 08:13: rw=0, want=21350388,

And similar, depending on the partition.  The controller is reported as:

01:04.0 SCSI storage controller: LSI Logic / Symbios Logic 53c1030
PCI-X Fusion-MPT Dual Ultra320 SCSI (rev 07)

By lspci.  It is on the motherboard with a ServerWorks chipset. 
Kernel 2.6 from Fedora Core 2 doesn't seem to recognize this
controller at all during an install, but that's certainly a different
issue, so I will file it seperately...but, in short, I haven't been
able to test with a 2.6 kernel.

The problem eventually leads to significant file system errors, and
sometimes a system hang.

The problem does not occur with the latest RHEL kernel-smp version 2.4.21.

Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2188.nptl and kernel-smp, as well as 2190 from testing

How reproducible:

Steps to Reproduce:
1. Run badblocks on a disk connected to this controller.
2. Wait for error.

Actual Results:  Bad block reported, error logged to kernel log,
long-term system instability.

Expected Results:  No error, no bad block reported, no instability.

Additional info:
Comment 1 Joe Cooper 2004-06-13 19:38:20 EDT
Upgrading the mpt fusion drivers to the version in kernel 2.4.26 and
rebuilding does not solve the problem.
Comment 2 Joe Cooper 2004-06-13 20:11:58 EDT
Ok, strange new twist.  Only one partition per disk exhibits this
error (specifically partition 3).  Resizing the partition with parted
to a slightly smaller size makes the badblocks errors go away.

I don't know what to make of that.  Maybe the partition tool (this was
created in a kickstart install) isn't doing the right thing, or
perhaps moving things around just masks the problem?
Comment 3 David Lawrence 2004-09-29 16:29:28 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.